String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}

function fEditar(lpIndex){
	var hw=document.getElementById("TxtHW").value;
	Ow("compras_editar.php?I="+lpIndex+"&H="+hw,550*ZO(),280*ZO());	
}

function fGenPDF(PDF){
	document.getElementById("TxtAc").value=PDF;
	document.getElementById("Frm").submit();
}

function fLoad(){	
	document.getElementById("TxtAc").value="UP";
	document.getElementById("Frm").submit();
}

function fLimDet(){
	document.getElementById("TxtCod").value="";
	document.getElementById("TxtDes").value="";
	document.getElementById("TxtMarca").value="";
	document.getElementById("TxtPre").value="";
	document.getElementById("TxtCant").value="";
	document.getElementById("TxtCUni").value="";
	document.getElementById("TxtImp").value="";
	document.getElementById("TxtCod").focus();
}
//**************************************************************************
function CalcularIMPORTE(){
	var Importe=document.getElementById("T_Importe").value;
	var stt=0;
	var igv=0;
	var tot=0;	
	var uno=0;
	if(Importe.trim().length==0) Importe="0";
	Importe=parseFloat(Importe);
	if(document.getElementById("ChN_INC").checked){
		stt=Importe;
		igv=stt * 0.18;
		igv=igv.toFixed(2);
		tot=parseFloat(stt) + parseFloat(igv);
	}else{
		uno=Importe / 118;
		//uno=uno.toFixed(2);
		igv=uno * 18;
		igv=igv.toFixed(2);
		stt=parseFloat(Importe) - parseFloat(igv);
		tot=parseFloat(stt)+parseFloat(igv);
	}
	document.getElementById("T_ST").value=formato_numero(stt,2,".");
	document.getElementById("T_IG").value=formato_numero(igv,2,".");
	document.getElementById("T_TO").value=formato_numero(tot,2,".");	
}
//**************************************************************************
function fImporte(){
	var Pre=document.getElementById("TxtPre").value;
	var Can=document.getElementById("TxtCant").value;
	var Uni=document.getElementById("TxtCUni").value;
	var Importe=parseFloat("0");
	if(Pre.trim().length==0)Pre="0";
	if(Can.trim().length==0)Can="0";
	if(Uni.trim().length==0)Uni="0";
	Pre=parseFloat(Pre);
	Can=parseFloat(Can);
	Uni=parseFloat(Uni);
	Importe=Pre * Uni * Can;
	Importe=Importe.toFixed(2);
	document.getElementById("TxtImp").value=Importe;
}
//**************************************************************************
function fKiller(lpIndex){
	document.getElementById("Pro_TxtId").value=lpIndex;
	document.getElementById("TxtAc").value="KILLER";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fGetTabla(){
var Cod = document.getElementById("TxtCod").value;
var Des = document.getElementById("TxtDes").value;
var Mar = document.getElementById("TxtMarca").value;
if(Des.trim().length>0 || Cod.trim().length>0 || Mar.trim().length>0){
	DivDatos = document.getElementById("TAB_AJAX");
	DivCaption = document.getElementById("TAB_CAPTION");
	ajax=CreateAJAX();
var StrU="ajax_funciones.php?Cmd=COMPRAS_PROD_FILTRAR&TxtPar="+Des+"&TxtPar2="+Mar+"&TxtPar3="+Cod;
	ajax.open("GET", StrU);	
	ajax.onreadystatechange=function() {
		   if (ajax.readyState==4) {
					var StrDatos=ajax.responseText;
					if(StrDatos.trim().length>0){			  
					   DivDatos.innerHTML = StrDatos;
					   DivCaption.style.visibility="visible";
					   DivDatos.style.visibility="visible";	
					}else{
						DivCaption.style.visibility="hidden";
						DivDatos.style.visibility="hidden";	
					}
		   }
	}
	ajax.send(null);
}
}
function CerrarDIV(){
	DivDatos = document.getElementById("TAB_AJAX");
	DivCaption = document.getElementById("TAB_CAPTION");
	DivCaption.style.visibility="hidden";
	DivDatos.style.visibility="hidden";	
	document.getElementById("TxtDes").focus();
}
//**************************************************************************
function PP(Pre){
	var Mon=document.getElementById("CboMon").value;
	var Tca=document.getElementById("TxtTC").value;
	Mon=Mon.trim();Pre=Pre.trim();Tca=Tca.trim();
	if(Mon.length==0)Mon="DOLARES";
	if(Pre.length==0)Pre="0";
	if(Tca.length==0)Tca="1";
	Pre=parseFloat(Pre);Tca=parseFloat(Tca);
	if(Mon=="SOLES"){
		Pre=Pre * Tca;Pre=Pre.toFixed(2);		
	}	
	return Pre;
}
//**************************************************************************
function fGetProdDatos_Id(lpStrId){
	if(lpStrId.trim().length>0){
	DivDatos = document.getElementById("DivDatosProd");
	ajax=CreateAJAX();
	ajax.open("GET", "ajax_funciones.php?Cmd=COMPRAS_GET_PROD_DATOS_X_ID&TxtPar="+lpStrId);	
	ajax.onreadystatechange=function() {
		   if (ajax.readyState==4) {			  
				   DivDatos.innerHTML = ajax.responseText
				   var Des=document.getElementById("Pro_TxtDes").value;
				   if(Des.trim().length==0){
   				   document.getElementById("Pro_TxtId").value="";
				   document.getElementById("Pro_TxtDes").value="";
				   document.getElementById("Pro_TxtCod").value="";
				   document.getElementById("Pro_TxtMarca").value="";
				   document.getElementById("Pro_TxtPre").value="";
   				   document.getElementById("TxtDes").value="";
  				   document.getElementById("TxtPre").value="";				   
				   document.getElementById("TxtCant").value="";
				   document.getElementById("TxtImp").value="";
				   document.getElementById("TxtCod").value="";				   
				   document.getElementById("TxtMarca").value="";				   
				   alert("Codigo no registrado");
				   document.getElementById("TxtCod").focus();
				   }else{
document.getElementById("TxtCod").value=document.getElementById("Pro_TxtCod").value;
document.getElementById("TxtMarca").value=document.getElementById("Pro_TxtMarca").value;
document.getElementById("TxtDes").value=document.getElementById("Pro_TxtDes").value;
document.getElementById("TxtPre").value=PP(document.getElementById("Pro_TxtPre").value);
document.getElementById("TxtCant").value="1";
document.getElementById("TxtImp").value=document.getElementById("TxtPre").value;
document.getElementById("TxtPre").focus();				   
				   }
				   DivDatos = document.getElementById("TAB_AJAX");
				   DivCaption = document.getElementById("TAB_CAPTION");
				   DivCaption.style.visibility="hidden";
				   DivDatos.style.visibility="hidden";		
				   		   
		   }
	}
    ajax.send(null);
	}
}
//--------------------------------------------------------------------------
function z(lpStrId){
	if(lpStrId.trim().length>0){
	DivDatos = document.getElementById("DivDatosProd");
	ajax=CreateAJAX();
	ajax.open("GET", "ajax_funciones.php?Cmd=COMPRAS_GET_PROD_DATOS_X_ID&TxtPar="+lpStrId);	
	ajax.onreadystatechange=function() {
		   if (ajax.readyState==4) {			  
				   DivDatos.innerHTML = ajax.responseText
				   var Des=document.getElementById("Pro_TxtDes").value;
				   if(Des.trim().length==0){
   				   document.getElementById("Pro_TxtId").value="";
				   document.getElementById("Pro_TxtDes").value="";
				   document.getElementById("Pro_TxtCod").value="";
				   document.getElementById("Pro_TxtMarca").value="";
				   document.getElementById("Pro_TxtPre").value="";
   				   document.getElementById("TxtDes").value="";
  				   document.getElementById("TxtPre").value="";				   
				   document.getElementById("TxtCant").value="";
				   document.getElementById("TxtImp").value="";
				   document.getElementById("TxtCod").value="";				   
				   document.getElementById("TxtMarca").value="";				   
				   alert("Codigo no registrado");
				   document.getElementById("TxtCod").focus();
				   }else{
document.getElementById("TxtCod").value=document.getElementById("Pro_TxtCod").value;
document.getElementById("TxtMarca").value=document.getElementById("Pro_TxtMarca").value;
document.getElementById("TxtDes").value=document.getElementById("Pro_TxtDes").value;
document.getElementById("TxtPre").value=PP(document.getElementById("Pro_TxtPre").value);
document.getElementById("TxtCant").value="1";
document.getElementById("TxtImp").value=document.getElementById("TxtPre").value;
document.getElementById("TxtPre").focus();				   
				   }
				   DivDatos = document.getElementById("TAB_AJAX");
				   DivCaption = document.getElementById("TAB_CAPTION");
				   DivCaption.style.visibility="hidden";
				   DivDatos.style.visibility="hidden";		
				   		   
		   }
	}
    ajax.send(null);
	}
}

//**************************************************************************
function fGetProdDatos(lpStrCod){
	if(lpStrCod.trim().length>0){
	DivDatos = document.getElementById("DivDatosProd");
	ajax=CreateAJAX();
	ajax.open("GET", "ajax_funciones.php?Cmd=GET_PROD_DATOS_C&TxtPar="+lpStrCod);	
	ajax.onreadystatechange=function() {
		   if (ajax.readyState==4) {			  
				   DivDatos.innerHTML = ajax.responseText
				   var Des=document.getElementById("Pro_TxtDes").value;
				   if(Des.trim().length==0){
   				   document.getElementById("Pro_TxtId").value="";
				   document.getElementById("Pro_TxtDes").value="";
				   document.getElementById("Pro_TxtPre").value="";
				   document.getElementById("Pro_TxtMarca").value="";
   				   document.getElementById("TxtDes").value="";
  				   document.getElementById("TxtPre").value="";				   
				   document.getElementById("TxtCant").value="";
				   document.getElementById("TxtImp").value="";
				   document.getElementById("TxtCod").value="";	
				   document.getElementById("TxtMarca").value="";				   
				   alert("Codigo no registrado");
				   document.getElementById("TxtCod").focus();
				   }else{
var Mon=document.getElementById("CboMon").value;
var Pre=document.getElementById("Pro_TxtPre").value;
var Tca=document.getElementById("TxtTC").value;
document.getElementById("TxtDes").value=document.getElementById("Pro_TxtDes").value;
document.getElementById("TxtMarca").value=document.getElementById("Pro_TxtMarca").value;
document.getElementById("TxtPre").value=PP(document.getElementById("Pro_TxtPre").value);
document.getElementById("TxtCant").value="1";
document.getElementById("TxtImp").value=document.getElementById("TxtPre").value;
document.getElementById("TxtPre").focus();
				   }
				   
		   }
	}
    ajax.send(null);
	}
}
//**************************************************************************
function fGetRuc(lpStrPro,Obj){
	var StrProveedor=lpStrPro;
	ajax=CreateAJAX();
	ajax.open("GET", "ajax_funciones.php?Cmd=GET_RUC&TxtPar="+StrProveedor);	
	ajax.onreadystatechange=function() {
		   if (ajax.readyState==4) {			   	   
				   document.getElementById(Obj).value=ajax.responseText;
				   Obj=Obj+"_";
				   document.getElementById(Obj).value=ajax.responseText;
		   }
	}
    ajax.send(null);
}
//**************************************************************************
function fGetProveedor(lpStrRuc,Obj){
	var StrRucH=document.getElementById("TxtRuc_").value;
	var StrRuc=lpStrRuc;
	if(StrRuc!=StrRucH){
		ajax=CreateAJAX();
		ajax.open("GET", "ajax_funciones.php?Cmd=GET_PROVEEDOR&TxtPar="+StrRuc);	
		ajax.onreadystatechange=function() {
			   if (ajax.readyState==4) {
					   var StrPro=ajax.responseText;
					   if(StrPro.trim().length==0){
						   	alert("Numero de ruc no registrado");
						   	document.getElementById(Obj).value="";
						   	document.getElementById(Obj).focus();
					   }else{
							document.getElementById(Obj).value=StrPro;
					   }
			   }
		}
		ajax.send(null);
	}

}
//**************************************************************************
function fCancelarPHP(){
	document.getElementById("CmdC").disabled=true;
	SM("C");
}
//**************************************************************************
function fAgregar(){
	var Pro_Id=gv("Pro_TxtId");
	var Pro_Cod=gv("Pro_TxtCod");
	var Pro_Des=gv("Pro_TxtDes");	
	var Cod=gv("TxtCod");
	var Des=gv("TxtDes");
	var Pre=gv("TxtPre");
	var Can=gv("TxtCant");
	var Uni=gv("TxtCUni");
	//	
	if(jL(Pre)==0){
		alert("Ingrese Precio de compra");
		document.getElementById("TxtPre").focus();
		return;
	}
	if(jL(Can)==0){
		alert("La cantidad debe ser mayor a cero");
		document.getElementById("TxtCant").focus();
		return;
	}
	if(jL(Uni)==0){
		alert("ingresa Cantidad Unitaria");
		document.getElementById("TxtCUni").focus();
		return;
	}
	if(jVal(Pre)==0){
		alert("Precio de compra debe ser mayor a 0");
		document.getElementById("TxtPre").focus();
		return;
	}
	if(jVal(Can)==0){
		alert("Cantidad de compra debe ser mayor a 0");
		document.getElementById("TxtCant").focus();
		return;
	}
	if(jVal(Uni)==0){
		alert("Unidades de compra debe ser mayor a 0");
		document.getElementById("TxtCUni").focus();
		return;
	}

	Pro_Id=TUX(Pro_Id);
	Pro_Cod=TUX(Pro_Cod);
	Pro_Des=TUX(Pro_Des);
	
	Cod=TUX(Cod);
	Des=TUX(Des);
	
	if(jVal(Pro_Id)==0){
		alert("No se puede determinar el ID del producto seleccionado, "+
		"intente seleccionar el producto nuevamente");
		return;
	}
	
	if(Cod!=Pro_Cod){
		alert("El codigo del producto ha sido alterado");
		document.getElementById("TxtCod").focus();
		return;
	}
	if(Des!=Pro_Des){
		alert("La descripcion del producto ha sido alterada");
		document.getElementById("TxtDes").focus();
		return;
	}
	var hwn=gv("TxtHW");
	var r=AX("FX_COM_ADD_VAL",Pro_Id,hwn,Uni);
	var d=r.split("|");
	if(d[1]=="OK"){
		document.getElementById("CmdAdd").disabled=true;
		SM("ADD");
	}else{
		if(d[1]=="MS"){
			alert(d[2]);
			jF("TxtCUni");
		}else{
			alert("Error de conexion");
		}
	}
}
//**************************************************************************
function fGuardar(){
	var cod=gv("TxtId");
	var Tdp=gv("CboTdp");
	var Pen=gv("CboET");
	var Alm=gv("CboAlm");
	var Fec=gv("TxtFec");
	var Com=gv("CboCom");
	var Ser=gv("TxtSer");
	var Num=gv("TxtNum");
	var Mon=gv("CboMon");
	var Pro=gv("CboPro");
	var ti=gv("TXT_TI");
	if(jVal(ti)==0){
		alert("La lista de productos esta vacia");
		document.getElementById("CboAlm").focus();
		return;
	}
	//
	if(jL(Alm)==0){
		alert("Seleccione un almacen");
		document.getElementById("CboAlm").focus();
		return;
	}
	if(jL(Fec)==0){
		alert("Ingrese una fecha");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(!EsFecha(Fec)){
		alert("Fecha no valida, la fecha debe ser ingresada segun el formato");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(Pen=="NO"){
		if(jL(Com)==0){
			alert("Seleccione un comprobante");
			document.getElementById("CboCom").focus();
			return;
		}
		if(jL(Ser)==0){
			alert("Ingrese la serie de comprobante");
			document.getElementById("TxtSer").focus();
			return;
		}
		if(jL(Num)==0){
			alert("Ingrese el numero de comprobante");
			document.getElementById("TxtNum").focus();
			return;
		}
	}
	if(jL(Mon)==0){
		alert("Seleccione la moneda correspondiente");
		document.getElementById("CboMon").focus();
		return;
	}
	if(jL(Pro)==0){
		alert("Seleccione un proveedor");
		document.getElementById("CboPro").focus();
		return;
	}
	if(jL(Tdp)==0){
		alert("Seleccion el tipo de pago");
		document.getElementById("CboTdp").focus();
		return;
	}
	if(gv("CmdG")=="Guardar"){
		var Rpta = confirm("Esta seguro que desea Guardar?")		
		if (Rpta==false){
			return;
		}
		if(Pen=="NO"){
			var r=AX("FX_COM_GOM_VAL",cod,Pro,Num,Com,Ser);
			var d=r.split("|");
			if(d[1]=="OK"){			
				document.getElementById("CmdG").disabled=true;
				SM("G");
			}else{
				if(d[1]=="MS"){
					alert(d[2]);
				}else{
					alert("Error de conexion");
				}
			}
		}else{
			SM("G");
		}
	}else{
		if(jVal(cod)==0){
			alert("No se puede determinar el id del registro activo");
			return;
		}
		var Rpta = confirm("Esta seguro que desea modificar?")		
		if (Rpta==false){
			return;
		}
		if(Pen=="NO"){
			var r=AX("FX_COM_GOM_VAL",cod,Pro,Num,Com,Ser);
			var d=r.split("|");
			if(d[1]=="OK"){			
				document.getElementById("CmdG").disabled=true;
				SM("M");
			}else{
				if(d[1]=="MS"){
					alert(d[2]);
				}else{
					alert("Error de conexion");
				}
			}
		}else{
			SM("M");
		}
	}
}
//
function EM_OC(){
	var Emp=gv("CboEmp");	
	var r=AX("02",Emp);
	if(r=="X"){
		CBO_CLS("CboAlm",1);
	}else{
		CBO_FILL("CboAlm",r,0);
	}
}
//
function Verificar(){
	var DATA="";
	document.getElementById("TxtDAT").value="";
	frm = document.getElementById("Frm");
	if (!frm) return;
	for(i=0; i<frm.elements.length; i++)
	{
		if (frm.elements[i].type == "checkbox")	{
			if(frm.elements[i].name.substring(0,1)=="Z"){
				if(frm.elements[i].checked==true){
					var ok=frm.elements[i].name;
					ok=ok.substring(2,7);
					DATA=DATA+ok+",";
				}
			}
		}
	}	
	if(jLen(DATA)==0){
		alert("Ningun registro seleccionado, seleccione un registro marcando el check correspondiente");
		return 0;
	}else{		
		document.getElementById("TxtDAT").value=DATA;
		return 1;
	}
}
function flAnular(){
	var Rpta = confirm("Esta seguro que desea anular?")		
	if (Rpta==true){
		document.getElementById("CmdA").disabled=true;
		SM("A");
	}
}
//
function flEliminar(){
	var Rpta = confirm("Esta seguro que desea eliminar?")		
	if (Rpta==true){
		document.getElementById("CmdE").disabled=true;
		SM("E");
	}
}
//
function ChK(){
	if(Verificar()==1){		
		document.getElementById("TxtAc").value="KCH";
		document.getElementById("Frm").submit();	
	}
}